summaryrefslogtreecommitdiff
path: root/tests.branching
diff options
context:
space:
mode:
authorSam Thursfield <sam.thursfield@codethink.co.uk>2012-09-07 10:43:45 +0100
committerJannis Pohlmann <jannis.pohlmann@codethink.co.uk>2012-09-10 11:38:54 +0000
commit80fe58395087d15b2cee2584ea63f361dc12af10 (patch)
tree8274c8090dab23905508b22fdb27975f018c4986 /tests.branching
parent9b2df7beae03860c0b3fae3f84e44cc265e25b20 (diff)
downloadmorph-80fe58395087d15b2cee2584ea63f361dc12af10.tar.gz
morph merge: Complain if 'from' branch is not checked out
Diffstat (limited to 'tests.branching')
-rwxr-xr-xtests.branching/merge-error-cases.script30
-rw-r--r--tests.branching/merge-error-cases.stderr1
2 files changed, 31 insertions, 0 deletions
diff --git a/tests.branching/merge-error-cases.script b/tests.branching/merge-error-cases.script
new file mode 100755
index 00000000..e802f139
--- /dev/null
+++ b/tests.branching/merge-error-cases.script
@@ -0,0 +1,30 @@
+#!/bin/sh
+# Copyright (C) 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+# Check "morph merge" gives reasonable error messages
+
+set -eu
+
+# Create system branch.
+cd "$DATADIR/workspace"
+"$SRCDIR/scripts/test-morph" init
+
+"$SRCDIR/scripts/test-morph" checkout baserock:morphs master
+cd master
+
+# 'From' branch is not checked out (and also doesn't exist, but that
+# problem can only be detected when 'morph checkout' is run)
+"$SRCDIR/scripts/test-morph" merge baserock/newbranch || true
diff --git a/tests.branching/merge-error-cases.stderr b/tests.branching/merge-error-cases.stderr
new file mode 100644
index 00000000..6a9cc8a9
--- /dev/null
+++ b/tests.branching/merge-error-cases.stderr
@@ -0,0 +1 @@
+ERROR: branch baserock/newbranch must be checked out before it can be merged